<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('analisa_unit', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('analisa_id');
            $table->foreign('analisa_id')->references('id')->on('analisa');

            $table->string('jenis_unit');
            $table->string('kondisi_unit');
            $table->string('posisi_unit');
            $table->string('lantai');
            $table->string('view');
            $table->string('bentuk_unit');

            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('analisa_unit');
    }
};
